ycrcb2rgb: XYCrCb2Rgb Struct Reference

| ycrcb2rgb Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XYCrCb2Rgb Struct Reference
Ycrcb2rgb_v7_1

The XYCrCb2Rgb driver instance data structure. More...

## Data Fields
XYCrCb2Rgb_Config | Config
| Hardware configuration. More...
u32 | IsReady
| Device and the driver instance are initialized. More...
u16 | HSize
| Active Video Horizontal Size. More...
u16 | VSize
| Active Video Vertical Size. More...
XYCrCb2Rgb_CallBack | ProcStartCallBack
| Callback for Processing start interrupt. More...
void * | ProcStartRef
| To be passed to Process start interrupt callback. More...
XYCrCb2Rgb_CallBack | FrameDoneCallBack
| Callback for Frame Done interrupt. More...
void * | FrameDoneRef
| To be passed to the Frame Done interrupt callback. More...
XYCrCb2Rgb_ErrorCallBack | ErrCallBack
| Callback for Error interrupt. More...
void * | ErrRef
| To be passed to the Error interrupt callback. More...
u32 | StandardSelection
| Standard Selection. More...
u32 | OutputRange
| Output Range. More...

## Detailed Description

The XYCrCb2Rgb driver instance data structure.

A pointer to an instance data structure is passed around by functions to refer to a specific driver instance.

## Field Documentation

XYCrCb2Rgb_Config XYCrCb2Rgb::Config

Hardware configuration.

Referenced by XYCrCb2Rgb_CfgInitialize(), XYCrCb2Rgb_DisableDbgBypass(), XYCrCb2Rgb_DisableDbgTestPattern(), XYCrCb2Rgb_EnableDbgByPass(), XYCrCb2Rgb_EnableDbgTestPattern(), XYCrCb2Rgb_GetActiveSize(), XYCrCb2Rgb_GetBOffset(), XYCrCb2Rgb_GetCoefs(), XYCrCb2Rgb_GetDbgFrameCount(), XYCrCb2Rgb_GetDbgLineCount(), XYCrCb2Rgb_GetDbgPixelCount(), XYCrCb2Rgb_GetGOffset(), XYCrCb2Rgb_GetRGBMax(), XYCrCb2Rgb_GetRGBMin(), XYCrCb2Rgb_GetROffset(), XYCrCb2Rgb_GetVersion(), XYCrCb2Rgb_IntrHandler(), XYCrCb2Rgb_IsDbgByPassEnabled(), XYCrCb2Rgb_IsDbgTestPatternEnabled(), XYCrCb2Rgb_SelfTest(), XYCrCb2Rgb_SetActiveSize(), XYCrCb2Rgb_SetBOffset(), XYCrCb2Rgb_SetCoefs(), XYCrCb2Rgb_SetGOffset(), XYCrCb2Rgb_SetRGBMax(), XYCrCb2Rgb_SetRGBMin(), XYCrCb2Rgb_SetROffset(), and XYCrCb2Rgb_Setup().

XYCrCb2Rgb_ErrorCallBack XYCrCb2Rgb::ErrCallBack

Callback for Error interrupt.

Referenced by XYCrCb2Rgb_CfgInitialize(), XYCrCb2Rgb_IntrHandler(), and XYCrCb2Rgb_SetCallBack().

void* XYCrCb2Rgb::ErrRef

To be passed to the Error interrupt callback.

Referenced by XYCrCb2Rgb_IntrHandler(), and XYCrCb2Rgb_SetCallBack().

XYCrCb2Rgb_CallBack XYCrCb2Rgb::FrameDoneCallBack

Callback for Frame Done interrupt.

Referenced by XYCrCb2Rgb_CfgInitialize(), XYCrCb2Rgb_IntrHandler(), and XYCrCb2Rgb_SetCallBack().

void* XYCrCb2Rgb::FrameDoneRef

To be passed to the Frame Done interrupt callback.

Referenced by XYCrCb2Rgb_IntrHandler(), and XYCrCb2Rgb_SetCallBack().

u16 XYCrCb2Rgb::HSize

Active Video Horizontal Size.

Referenced by XYCrCb2Rgb_Setup().

u32 XYCrCb2Rgb::IsReady

Device and the driver instance are initialized.

Referenced by XYCrCb2Rgb_CfgInitialize(), XYCrCb2Rgb_IntrHandler(), and XYCrCb2Rgb_SetCallBack().

u32 XYCrCb2Rgb::OutputRange

Output Range.

Referenced by XYCrCb2Rgb_Select_OutputRange().

XYCrCb2Rgb_CallBack XYCrCb2Rgb::ProcStartCallBack

Callback for Processing start interrupt.

Referenced by XYCrCb2Rgb_CfgInitialize(), XYCrCb2Rgb_IntrHandler(), and XYCrCb2Rgb_SetCallBack().

void* XYCrCb2Rgb::ProcStartRef

To be passed to Process start interrupt callback.

Referenced by XYCrCb2Rgb_IntrHandler(), and XYCrCb2Rgb_SetCallBack().

u32 XYCrCb2Rgb::StandardSelection

Standard Selection.

u16 XYCrCb2Rgb::VSize

Active Video Vertical Size.

Referenced by XYCrCb2Rgb_Setup().